﻿@charset "utf-8";

* { box-sizing: border-box; }



.aux-sticky {
  position: sticky;
  top: 1rem;
}

@media screen and (max-width: 768px) {
  .aux-sticky {
    position: relative;
    top: 0;
  }
}

nav.sidebar {
  margin-bottom: 1.5rem;
}

nav.sidebar .nav-heading {
  font-style: italic;

  font-size: 0.9rem;
  color: #002271;
}

nav.sidebar .internal-nav {
  border-left: dotted #002271 2px;
  margin: 0;
  padding: 0;
  list-style-type: none;
  margin-top: 0.3rem;
}

nav.sidebar .internal-nav .internal-nav__item {
  margin: 0;
  padding: 0;
  margin-left: -2px;
}

nav.sidebar .internal-nav .internal-nav__item a {
  color: #000000;

  padding: 0.75rem;
  text-decoration: none;
  font-weight: 350;
  line-height: 1.5;
  display: inline-block;
}

nav.sidebar .internal-nav .internal-nav__item a:hover {
  color: #7B79AC;
  text-decoration: underline;
}

nav.sidebar .internal-nav .internal-nav__item.internal-nav__item--current a {
  color: #002271;
  background: #f6f6f6;
  border-left: solid #002271 6px;
}

nav.sidebar .internal-nav .internal-nav__item.internal-nav__item--current a:hover {
  color: #7B79AC;
  text-decoration: underline;
}

.sidebar__trigger {
  width: 100%;
  text-align: left;
  display: none;
  visibility: hidden;
  padding: 1.5rem;

  font-size: 1.1rem;
  line-height: 1.5;
  cursor: pointer;
}

.sidebar__trigger::after {
  display: block;
  content: "Expand +";
  right: 0;
  font-size: 1rem;
  font-weight: 300;
  font-style: italic;

  color: #000000;
  position: relative;
  padding: 0;
  margin-top: 0.5rem;
  text-align: left;
}

.sidebar__trigger[aria-expanded=true]::after {
  content: "Collapse -";
}

@media (max-width: 768px) {
  .sidebar__trigger {
    display: block;
    visibility: visible;
  }

  nav.sidebar {
    border: solid #d1d1d1 2px;
    transition: 0.2s ease;
  }

  .sidebar--collapsible .sidebar__panel {
    display: none;
    visibility: hidden;
    padding: 1rem 1rem 0 1rem;
    border-top: dotted #d1d1d1 2px;
  }

  .sidebar--collapsible .sidebar__panel .sidebar-nav,
  .sidebar--collapsible .sidebar__panel .internal-nav {
    border: none;
    margin-top: 1rem;
    border-top: dotted #d1d1d1 2px;
  }

  .sidebar--collapsible .sidebar__panel .sidebar-nav .sidebar-nav__item.sidebar-nav__item--current a,
  .sidebar--collapsible .sidebar__panel .internal-nav .internal-nav__item.internal-nav__item--current a {
    background: none;
    border-left: none;
    color: #000000;
  }

  .sidebar--collapsible .sidebar__panel.active {
    display: block;
    visibility: visible;
  }
}
